# Generated from sensu-plugins-mysql-3.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sensu-plugins-mysql

Name: rubygem-%{gem_name}
Version: 3.2.0
Release: 1%{?dist}
Summary: Sensu plugins for MySql
License: MIT
URL: https://github.com/sensu-plugins/sensu-plugins-mysql
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.0
# BuildRequires: rubygem(codeclimate-test-reporter) >= 1.0
# BuildRequires: rubygem(codeclimate-test-reporter) < 2
# BuildRequires: rubygem(github-markup) >= 3.0
# BuildRequires: rubygem(github-markup) < 4
# BuildRequires: rubygem(pry) >= 0.10
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(redcarpet) >= 3.2
# BuildRequires: rubygem(redcarpet) < 4
# BuildRequires: rubygem(rspec) >= 3.1
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.81.0
# BuildRequires: rubygem(rubocop) < 0.82
# BuildRequires: rubygem(yard) >= 0.8
# BuildRequires: rubygem(yard) < 1
BuildArch: noarch

%description
This plugin provides native MySQL instrumentation
for monitoring and metrics collection, including:
service health, database connectivity, `InnoDB`
locks, replication status, metrics collection, and
sending metrics to a MySQL database.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/check-mysql-replication-status.rb
%{_bindir}/metrics-mysql.rb
%{_bindir}/check-mysql-threads.rb
%{_bindir}/metrics-mysql-query-result-count.rb
%{_bindir}/check-mysql-connections.rb
%{_bindir}/check-mysql-innodb-lock.rb
%{_bindir}/metrics-mysql-select-count.rb
%{_bindir}/check-mysql-status.rb
%{_bindir}/metrics-mysql-graphite.rb
%{_bindir}/check-mysql-alive.rb
%{_bindir}/metrics-mysql-processes.rb
%{_bindir}/metrics-mysql-multiple-select-count.rb
%{_bindir}/metrics-mysql-raw.rb
%{_bindir}/check-mysql-select-count.rb
%{_bindir}/check-mysql-msr-replication-status.rb
%{_bindir}/check-mysql-query-result-count.rb
%{_bindir}/check-mysql-disk.rb
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md

%changelog
* Wed Sep 15 2021 mockbuilder - 3.2.0-1
- Initial package
